Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        DJ mixing tool
Name:      	mixxx
Version:   	1.8.2
Release:   	1
Provides:	%{name}
License: 	GNU/GPL
URL:	  	http://mixxx.sourceforge.net/
Group:     	Multimedia
Source0:        %{name}-%{version}-src.tar.gz
Source1:	%{name}.desktop
Patch0:		mixxx-1.7.1-ffmpeg.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:  scons
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  python26-devel
BuildRequires:  lua-devel
BuildRequires:  pkg-config
BuildRequires:	libshout-devel
BuildRequires:  which
BuildRequires:  ffmpeg-devel
BuildRequires:  libmp4v2-devel

BuildRequires:	portmidi-devel
BuildRequires:	wavpack-devel

BuildRequires: libogg-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: speex-devel

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: faad2-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcc
BuildRequires: libgpod-devel
BuildRequires: libid3tag-devel
BuildRequires: libmad-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: portaudio-devel
BuildRequires: qt4-devel

%description
Mixxx is designed for DJ'ing for both professional and semi-professional users. Mixxx was started in early 2001 as one of the first digital DJ systems. Today Mixxx includes many features common to digital DJ solutions, but also some very unique features: It is free, and runs on all major desktop operating systems. Futhermore Mixxx has a number of key features to help the DJ in the live mix: Beat estimation, parallel visual displays, and support for many DJ input controllers.


%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build

%install
rm -rf ${RPM_BUILD_ROOT}

#scons prefix=/usr install_root=${RPM_BUILD_ROOT}/usr qtdir=/usr/lib/qt4 djconsole=0 hifieq=1 ipod=1 ladspa=0 ffmpeg=0 vinylcontrol=1 shoutcast=0 optimize=1 script=0 midiscript=1 tonal=1 portmidi=0 rawmidi=1 qdebug=0 install

scons prefix=/usr install_root=${RPM_BUILD_ROOT}/usr qtdir=/usr/lib/qt4 script=0 ipod=0 tonal=1 shoutcast=1 m4a=1 wavpack=1 install

# strip binaries
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/mixxx
%{_datadir}/mixxx
%{_datadir}/applications/mixxx.desktop
%{_datadir}/pixmaps/mixxx-icon.png
%{_libdir}/mixxx/plugins/soundsource/libsoundsourcem4a.so
%{_docdir}/mixxx

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.8.2-1
- Version update
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.8.0.2-1
- Version update
* Sun Mar 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.7.2-1
- Version update
* Wed Dec 31 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.7.1-1
- Version update
* Fri Aug 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-3
- final version
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-2
- beta 2
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.0-1
- Version update
- beta 1
* Sat Mar 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0-1
- Version update
* Sat Apr 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.2-1
- Initial Release
